---
wagl:
  algorithm_information:
    algorithm_version: 2.0
    nbar_doi: http://dx.doi.org/10.1109/JSTARS.2010.2042281
    nbar_terrain_corrected_doi: http://dx.doi.org/10.1016/j.rse.2012.06.018
  ancillary:
    aerosol:
      id:
      - 6fadc9e1-dfc8-59df-815f-5a3f279c2473
      tier: AATSR_CMP_MONTH
      value: 0.054372068494558334
    brdf:
      alpha_1:
        band_1: 0.3988103409037174
        band_11: 0.40539788240397695
        band_12: 0.3497113721751495
        band_2: 0.3988103409037174
        band_3: 0.6041710507269037
        band_4: 0.5084367148395423
        band_5: 0.5084367148395423
        band_6: 0.5084367148395423
        band_7: 0.7795353757476786
        band_8: 0.7795353757476786
        band_8a: 0.7795353757476786
      alpha_2:
        band_1: 0.1886647155764675
        band_11: 0.1587364355720053
        band_12: 0.19448686297458176
        band_2: 0.1886647155764675
        band_3: 0.1840440480263098
        band_4: 0.20904100071510393
        band_5: 0.20904100071510393
        band_6: 0.20904100071510393
        band_7: 0.05901407462282255
        band_8: 0.05901407462282255
        band_8a: 0.05901407462282255
      id:
      - 8b36db4c-2baa-5654-847d-bab1e5c60b78
      tier: DEFINITIVE
    elevation:
      id:
      - 27ca9489-8222-5117-96f6-2af42655c604
      - 8ad73086-72cf-561a-aa0f-1e3c64d53384
    ozone:
      id:
      - 9aba3ad5-ad4a-5de9-8b62-13d55671d16f
      tier: DEFINITIVE
      value: 0.261
    water_vapour:
      id:
      - fd8771f8-2193-5104-8571-642cc154704c
      tier: DEFINITIVE
      value: 3.3299999237060547
  id: fde8cd91-29e8-464b-84cd-9f950a4f5d1c
  parameters:
    buffer_distance: 8000
    esun:
      BAND-1: 1950.5019033027268
      BAND-11: 237.4543043792769
      BAND-12: 81.2135769450227
      BAND-2: 1993.7091853844706
      BAND-3: 1866.81962169826
      BAND-4: 1524.2587029992517
      BAND-5: 1407.086656347056
      BAND-6: 1283.9707153577042
      BAND-7: 1175.4027204746542
      BAND-8: 1041.0189038805584
      BAND-8A: 949.327546483824
    method: 2
    normalized_solar_zenith: 45.0
    rori: 0.52
    vertices:
    - 3
    - 3
  source_datasets:
    acquisition_datetime: 2023-04-04 00:03:38.999298Z
    atime: 2023-04-15 10:15:05Z
    ctime: 2023-04-04 05:49:49Z
    mtime: 2023-04-04 05:49:44Z
    owner_id: '12232'
    platform_id: SENTINEL_2A
    sensor_id: MSI
    source_level1: /g/data/fj7/Copernicus/Sentinel-2/MSI/L1C/2023/2023-04/20S150E-25S155E/S2A_MSIL1C_20230404T000221_N0509_R030_T56JMT_20230404T012627.zip
  system_information:
    hostname: gadi-cpu-clx-1814.gadi.nci.org.au
    runtime_id: 64a318ee-db76-11ed-b63b-00000067fe80
    time_processed: 2023-04-15 10:15:05.927068Z
    uname: 'Linux gadi-cpu-clx-1814.gadi.nci.org.au 4.18.0-425.3.1.el8.nci.x86_64
      #1 SMP Mon Jan 9 11:39:52 AEDT 2023 x86_64'
gqa:
  colors:
    blue: 30.0
    green: 338.0
    red: 22.0
    teal: 303.0
    yellow: 20.0
  error_message: no errors
  final_qa_count: 660
  granule: S2A_OPER_MSI_L1C_TL_2APS_20230404T012627_A040639_T56JMT_N05.09
  ref_date: '2014-07-19T00:00:00+00:00'
  ref_source: GQA_v3
  ref_source_path: /g/data/v10/eoancillarydata/GCP/GQA_v3/wrs2/089/077/LO80890772014200LGN00_B6.TIF
  residual:
    abs:
      x: 0.55
      xy: 0.77
      y: 0.54
    abs_iterative_mean:
      x: 0.36
      xy: 0.49
      y: 0.33
    cep90: 0.79
    iterative_mean:
      x: 0.34
      xy: 0.45
      y: 0.3
    iterative_stddev:
      x: 0.22
      xy: 0.34
      y: 0.26
    mean:
      x: 0.35
      xy: 0.46
      y: 0.29
    stddev:
      x: 1.01
      xy: 1.48
      y: 1.08
fmask:
  parameters:
    cloud_buffer_distance_metres: 0.0
    cloud_shadow_buffer_distance_metres: 0.0
    frantz_parallax_sentinel_2: false
  percent_class_distribution:
    clear: 26.07125578307752
    cloud: 16.69546551513741
    cloud_shadow: 4.65948447274252
    snow: 0.39474329443033584
    water: 52.17905093461221
s2cloudless:
  parameters:
    average_over: 4
    dilation_size: 2
    threshold: 0.4
  percent_class_distribution:
    clear: 72.79978500403116
    cloud: 27.200214995968825
software_versions:
- name: modtran
  url: http://www.ontar.com/software/productdetails.aspx?item=modtran
  version: 6.0.1
- name: wagl
  url: https://github.com/GeoscienceAustralia/wagl
  version: 5.9.0
- name: eugl
  url: https://github.com/OpenDataCubePipelines/eugl
  version: 0.5.4
- name: gverify
  url:
  version: v0.25c
- name: fmask
  url: https://www.pythonfmask.org/
  version: 0.5.5
- name: s2cloudless
  url: https://github.com/sentinel-hub/sentinel2-cloud-detector
  version: 1.5.0
- name: tesp
  url: https://github.com/OpenDataCubePipelines/tesp
  version: 0.14.3
- name: eodatasets3
  url: https://github.com/GeoscienceAustralia/eo-datasets
  version: 0.29.6
...
